# Randomly assign entities the shiny role
## Mark invalid entities as checked
tag @e[type=#shiny:noshiny] add shiny.checked
tag @a add shiny.checked

## Randomly make an entity shiny (if unchecked)
execute as @e[tag=!shiny.checked] if entity @s[predicate=shiny:shiny] run tag @s add shiny.shiny

## Mark all entites as checked
tag @e[tag=!shiny.checked] add shiny.checked



# Remove name from non-shinies
execute as @e[name=-Shiny-,tag=!shiny.shiny] run data merge entity @s {CustomName:'{"text":"Shiny"}'}



# Shiny effects
## Particles
execute at @e[tag=shiny.shiny] run particle minecraft:totem_of_undying ~ ~ ~ 0.2 0.6 0.2 0.1 100 force
## Set custom name to "-Shiny-"
execute as @e[tag=shiny.shiny] run data merge entity @s {CustomName:'{"text":"-Shiny-"}',CustomNameVisible:1b}
## Hide name
team join noName @e[tag=shiny.shiny]



# Reschedule function 
schedule function shiny:loop 3s